
%global meadversion 1.0.0
%global namedversion 1.0.0.Final-redhat-1
%global meadalpha .Final_redhat_1
%global meadrel .1
%global serial 2
%global namedversionrel redhat-1

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package %{?scl_prefix}jboss-batch-api_1.0_spec}
%{!?scl:%global pkg_name %{name}}

%define maven_version 1.0.0.Final-redhat-1

Name:           %{?scl_prefix}jboss-batch-api_1.0_spec
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Batch Applications for the Java Platform
Group:          Development/Java

%if %with mead
Source100: jboss-batch-api_1.0_spec-1.0.0.Final-redhat-1-scm-sources.zip
Source102: jboss-batch-api_1.0_spec-1.0.0.Final-redhat-1.pom
Source103: jboss-batch-api_1.0_spec-1.0.0.Final-redhat-1-javadoc.jar
Source104: jboss-batch-api_1.0_spec-1.0.0.Final-redhat-1.jar
Source105: jboss-batch-api_1.0_spec-1.0.0.Final-redhat-1-sources.jar
Source106: jboss-batch-api_1.0_spec-1.0.0.Final-redhat-1-project-sources.tar.gz
%endif

License:        ASL 2.0
URL:            https://github.com/jboss/jboss-batch-api_spec
%if 0
Requires:       %{?scl_prefix_eap}javax.inject >= 0:1
Requires:       %{?scl_prefix_eap}cdi-api >= 0:1.1
%endif
BuildArch:      noarch
BuildRoot:      %{_tmppath}/jboss-batch-api_1.0_spec-%{namedversion}-%{release}-root

%description
JSR 352: Batch Applications for the Java Platform API classes.

%if %with javadoc
%package javadoc
Summary:        Javadoc for jboss-batch-api_1.0_spec
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n jboss-batch-api_spec -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/jboss-batch-api_1.0_spec-%{namedversion}.jar %{buildroot}%{_javadir}/jboss-batch-api_1.0_spec-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jboss-batch-api_1.0_spec-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jboss-batch-api_1.0_spec-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jboss-batch-api_1.0_spec-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jboss-batch-api_1.0_spec-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/jboss-batch-api_1.0_spec-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/jboss-batch-api_1.0_spec-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jboss-batch-api_1.0_spec-%{namedversion} -x META-INF/\*
%{__ln_s} jboss-batch-api_1.0_spec-%{namedversion} %{buildroot}%{_javadocdir}/jboss-batch-api_1.0_spec
%endif

%clean
%{__rm} -rf %{buildroot}

%files -n %{?scl_prefix}jboss-batch-api_1.0_spec
%defattr(0644,root,root,0755)
%doc LICENSE.txt README README.md
%{_javadir}/jboss-batch-api_1.0_spec-%{namedversion}.jar
%{_javadir}/jboss-batch-api_1.0_spec.jar
%if %with javadoc
%{_javadir}/jboss-batch-api_1.0_spec-%{namedversion}-javadoc.jar
%{_javadir}/jboss-batch-api_1.0_spec-javadoc.jar
%endif
%{_javadir}/jboss-batch-api_1.0_spec-%{namedversion}-sources.jar
%{_javadir}/jboss-batch-api_1.0_spec-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jboss-batch-api_1.0_spec-%{namedversion}
%{_javadocdir}/jboss-batch-api_1.0_spec
%endif

%changelog
* Fri Jun 12 2015 David Walluck <dwalluck@redhat.com> - 1.0.0-2.Final_redhat_1.1
- fix Requires

* Thu Jun 11 2015 Hui Wang <huwang@redhat.com> - 1.0.0-1.Final_redhat_1.1
- Initial build

